AO-RAWLOAD(1)

NAME
ao-rawload - flash a program to a AltOS device

SYNOPSIS
ao-rawload [-T tty-device] [--tty tty-device] [-D altos-device] [--device altos-device] file.ihx

DESCRIPTION
ao-rawload loads the specified .ihx file, without modification, into the target device flash or ram (depending on the base address of the .ihx file).

OPTIONS

-T tty-device | --tty tty-device
    This selects which tty device the debugger uses to communicate with the target device. The special name 'BITBANG' directs ao-dbg to use the cp2103 connection, otherwise this should be a usb serial port connected to a suitable cc1111 debug node.

-D AltOS-device | --device AltOS-device
    Search for a connected device. This requires an argument of one of the following forms:

    TeleMetrum:2
    TeleMetrum
    2

    Leaving out the product name will cause the tool to select a suitable product, leaving out the serial number will cause the tool to match one of the available devices.

-r | --run
    After the file has been loaded, set the PC to the base address of the image and resume execution there. the .ihx file.

USAGE
ao-rawload reads the specified .ihx file into memory. It then connects to the specified target device and writes the program to the target device memory and, optionally, starts the program executing.

AUTHOR
Keith Packard